Get Google reviews
curl --request POST \
--url https://app.dumplingai.com/api/v1/get-google-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"placeId": "ChIJN1t_tDeuEmsRUsoyG83frY4"
}
'import requests
url = "https://app.dumplingai.com/api/v1/get-google-reviews"
payload = { "placeId": "ChIJN1t_tDeuEmsRUsoyG83frY4" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({placeId: 'ChIJN1t_tDeuEmsRUsoyG83frY4'})
};
fetch('https://app.dumplingai.com/api/v1/get-google-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"se_domain": "<string>",
"location_code": 123,
"language_code": "<string>",
"check_url": "<string>",
"datetime": "<string>",
"title": "<string>",
"rating": {
"rating_type": "<string>",
"value": 123,
"rating_max": 123,
"votes_count": 123
},
"feature_id": "<string>",
"place_id": "<string>",
"cid": "<string>",
"reviews_count": 123,
"items_count": 123,
"items": [
{
"type": "<string>",
"rank_group": 123,
"rank_absolute": 123,
"position": "<string>",
"review_text": "<string>",
"time_ago": "<string>",
"timestamp": "<string>",
"rating": {
"rating_type": "<string>",
"value": 123,
"rating_max": 123,
"votes_count": 123
},
"reviews_count": 123,
"photos_count": 123,
"local_guide": true,
"profile_name": "<string>",
"profile_url": "<string>",
"review_url": "<string>",
"profile_image_url": "<string>",
"review_id": "<string>",
"original_review_text": "<string>",
"owner_answer": "<string>",
"original_owner_answer": "<string>",
"owner_time_ago": "<string>",
"owner_timestamp": "<string>",
"images": [
{
"type": "<string>",
"url": "<string>",
"image_url": "<string>",
"alt": "<string>"
}
]
}
],
"keyword": "<string>",
"sub_title": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Data APIs
Get Google Reviews
Retrieve recent Google reviews, ratings, and review metadata for a business.
POST
/
api
/
v1
/
get-google-reviews
Get Google reviews
Description
This endpoint retrieves Google reviews for a business using either a keyword search, Google CID, or Place ID. It returns detailed review information including ratings, review text, reviewer profiles, and more.Endpoint
POST https://app.dumplingai.com/api/v1/get-google-reviews
Headers
- Content-Type:
application/json - Authorization: Bearer
<API_KEY>(required)
Request Body
{
"keyword": "string", // Optional. Business name or search term to find reviews for.
"cid": "string", // Optional. Google Maps CID (Client ID) for a specific business.
"placeId": "string", // Optional. Google Maps Place ID for a specific business.
"reviews": "number", // Optional. Number of reviews to fetch. Default: 10.
"sortBy": "string" // Optional. Sort order for reviews. Can be "relevant", "newest", "highest_rating", or "lowest_rating". Default: "relevant".
"language": "string", // Optional. Language code for the reviews (e.g., "en" for English). Default: "en". This is an advanced setting, do not use unless you know what you are doing.
"location": "string", // Optional. Location context for the search. Default: "London,England,United Kingdom". This is an advanced setting, do not use unless you know what you are doing.
}
keyword, cid, or placeId must be provided.
Responses
Success (200)
Returns the reviews and business information.{
"keyword": "string", // If keyword search was used
"type": "string",
"se_domain": "string",
"location_code": "number",
"language_code": "string",
"check_url": "string",
"datetime": "string",
"title": "string",
"sub_title": "string",
"rating": {
"rating_type": "string",
"value": "number",
"votes_count": "number",
"rating_max": "number"
},
"feature_id": "string",
"place_id": "string",
"cid": "string",
"reviews_count": "number",
"items_count": "number",
"items": [
{
"type": "string",
"rank_group": "number",
"rank_absolute": "number",
"position": "string",
"review_text": "string",
"original_review_text": "string",
"time_ago": "string",
"timestamp": "string",
"rating": {
"rating_type": "string",
"value": "number",
"votes_count": "number",
"rating_max": "number"
},
"reviews_count": "number",
"photos_count": "number",
"local_guide": "boolean",
"profile_name": "string",
"profile_url": "string",
"review_url": "string",
"profile_image_url": "string",
"owner_answer": "string",
"original_owner_answer": "string",
"owner_time_ago": "string",
"owner_timestamp": "string",
"review_id": "string",
"images": [
{
"type": "string",
"alt": "string",
"url": "string",
"image_url": "string"
}
]
}
]
}
- Content-Type: application/json
- X-RateLimit-Limit: The rate limit for the user.
- X-RateLimit-Remaining: The remaining number of requests for the user.
Bad Request (400)
Returned if the request is invalid.{
"error": "Either keyword, cid, or placeId must be provided"
}
Unauthorized (401)
Returned if the API key is invalid or missing.{
"error": "Invalid or missing Authorization header"
}
Internal Server Error (500)
Returned if there’s an error during the review fetching process.{
"error": "Failed to fetch Google reviews: [error message]"
}
Example Request
curl -X POST https://app.dumplingai.com/api/v1/get-google-reviews \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"keyword": "London Wines",
"reviews": 20,
"language": "en",
"sortBy": "highest_rating"
}'
Notes
- Credit usage is calculated based on the number of reviews:
- 50 credits per 10 reviews (rounded up)
- e.g., 11 reviews would cost 100 credits
- The maximum number of reviews that can be fetched in a single request is 4490
- If using a Place ID, it should be in the format returned by Google Maps (e.g., “ChIJrTLr-GyuEmsRBfy61i59si0”)
- The CID is Google’s unique identifier for a business location. It can be found in the URL when viewing a business on Google Maps
Rate Limiting
Rate limit headers (X-RateLimit-Limit and X-RateLimit-Remaining) are included in the response to indicate the user’s current rate limit status.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Parameters for fetching Google Business reviews. Provide at least one identifier (keyword, cid, or placeId).
Business name or query string.
Google CID identifier for the business.
Google Place ID for the business.
Maximum number of reviews to return.
Required range:
x >= 1ISO language code for the review content.
Location bias used when searching by keyword.
Sorting strategy for returned reviews.
Available options:
relevant, newest, highest_rating, lowest_rating Optional identifier describing where the API request originated.
Available options:
API, WEB, MAKE_DOT_COM, ZAPIER, N8N, PLAYGROUND, DEFAULT_AUTOMATION, AGENT_PREVIEW, AGENT_LIVE, AUTOPILOT, STUDIO Response
Google reviews returned.
Show child attributes
Show child attributes
Show child attributes
Show child attributes